---
title: Update Account for PLS
slug: api/update-account-for-pls
docTags: 
createdAt: 2026-09-01T06:52:33.550Z
---

{
  "id": "1hkcl3YeLlF5NfNsHVbEc",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api-pay.monoova.com/v1/api/payment-links/update-account",
    "servers": [
      {
        "url": "https://api-pay.monoova.com/v1/api/payment-links/update-account",
        "description": "Production URL"
      },
      {
        "url": "https://sand-api-pay.monoova.com/v1/sandbox/api/payment-links/update-account",
        "description": "Sandbox URL"
      }
    ],
    "name": "Update Account for PLS",
    "description": "<p>Update Account subscriptions for PLS, use this only if advised.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearerAuth",
          "name": "bearerAuth",
          "kind": "optional",
          "type": "http",
          "description": "Bearer token authentication for API endpoints",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successfully updated account webhooks with Monoova",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response from webhook event registration with Monoova",
            "customType": "RegisterWebhookEventResponse",
            "schema": [
              {
                "name": "paymentAgreementSubscriptionId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "Subscription ID for PaymentAgreementStatusEvent",
                "example": "sub_agreement_12345"
              },
              {
                "name": "paymentInstructionSubscriptionId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "Subscription ID for PaymentInstructionStatusEvent",
                "example": "sub_instruction_67890"
              }
            ],
            "modelRef": "#/components/schemas/RegisterWebhookEventResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Failed to update account webhooks with Monoova",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ProblemDetails",
            "schema": [
              {
                "name": "type",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "https://tools.ietf.org/html/rfc7231#section-6.5.1"
              },
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Problem Details"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 400
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Bearer token is required."
              }
            ],
            "modelRef": "#/components/schemas/ProblemDetails",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized - Bearer token is required</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ProblemDetails",
            "schema": [
              {
                "name": "type",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "https://tools.ietf.org/html/rfc7231#section-6.5.1"
              },
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Problem Details"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 400
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Bearer token is required."
              }
            ],
            "modelRef": "#/components/schemas/ProblemDetails",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "MAZ9sjmieL087yeOJ3Ypx",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api-pay.monoova.com/v1/api/payment-links/update-account \\\n     --header 'accept: application/json'"
        },
        {
          "id": "h8ZKvsDyRPKg6B2hgE1HF",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-pay.monoova.com/v1/api/payment-links/update-account\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "0qAUF56olCzCs8WcjNj8D",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-pay.monoova.com/v1/api/payment-links/update-account\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "A_nrw8EX6JVQMYzOyEB6O",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api-pay.monoova.com/v1/api/payment-links/update-account\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "MAZ9sjmieL087yeOJ3Ypx"
    },
    "results": {
      "languages": [
        {
          "id": "kVnd2e7cf7jyqWpM9oThT",
          "language": "200",
          "code": "// Successfully updated account webhooks with Monoova\n{\n  \"paymentAgreementSubscriptionId\": \"sub_agreement_12345\",\n  \"paymentInstructionSubscriptionId\": \"sub_instruction_67890\"\n}"
        },
        {
          "id": "HNyZ35dqhWO7gCgwce05j",
          "language": "400",
          "code": "// Failed to update account webhooks with Monoova\n{\n  \"type\": \"https://tools.ietf.org/html/rfc7231#section-6.5.1\",\n  \"title\": \"Problem Details\",\n  \"status\": 400,\n  \"detail\": \"Bearer token is required.\"\n}"
        },
        {
          "id": "X_s_pIfMOrEa-X2DYUzW2",
          "language": "401",
          "code": "// Unauthorized - Bearer token is required\n{\n  \"type\": \"https://tools.ietf.org/html/rfc7231#section-6.5.1\",\n  \"title\": \"Problem Details\",\n  \"status\": 400,\n  \"detail\": \"Bearer token is required.\"\n}"
        }
      ],
      "selectedLanguageId": "kVnd2e7cf7jyqWpM9oThT"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}